## Class md5

zeep::http::md5

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/http/md5.hpp>

    class md5 {
    public:
      // construct/copy/destruct
      md5();
      md5(const void *, std::size_t);
      md5(const std::string &);

      // public member functions
      void update(const void *, std::size_t);
      void update(const std::string &);
      std::string finalise();

      // private member functions
      void init();
      void transform(const uint8 *);
    };

## Description

### `md5` public construct/copy/destruct

1.     md5();

2.     md5(const void * data, std::size_t length);

3.     md5(const std::string & data);

### `md5` public member functions

1.     void update(const void * data, std::size_t length);

2.     void update(const std::string & data);

3.     std::string finalise();

### `md5` private member functions

1.     void init();

2.     void transform(const uint8 * data);